ia64/xen-unstable

annotate tools/check/check_curl_devel @ 6385:f34e732ed4bf

Xenstore testsuite robustness: save output rather than rerun on failure.
"make check" reruns a test which fails with more verbosity. If the test
fails intermittently, that doesn't work well: save the output and simply
dump it if the test fails.
Signed-off-by: Rusty Russell <rusty@rustcorp.com.au>
Signed-off-by: Christian Limpach <Christian.Limpach@cl.cam.ac.uk>
author cl349@firebug.cl.cam.ac.uk
date Tue Aug 23 19:58:59 2005 +0000 (2005-08-23)
parents a83ac0806d6b
children
rev   line source
mjw@2295 1 #!/bin/bash
mjw@2295 2 # CHECK-BUILD
mjw@2295 3
mjw@2295 4 function error {
mjw@2295 5 echo 'Check for libcurl includes failed.'
mjw@2295 6 exit 1
mjw@2295 7 }
mjw@2295 8
mjw@2295 9 set -e
mjw@2295 10 [ -e /usr/include/curl ] || error
mjw@2295 11 [ -e /usr/include/curl/curl.h ] || error